Subject: base-files: daedalus' version too low for automatic migration from bookworm

From: Ingo Saitz <[email-masked]>
Date: Sun, 21 Jul 2024 16:55:12 +0200

Package: base-files
Version: 12.4devuan3
Severity: normal

Dear Maintainer,

Debian 12.6 bookworm currently has base-files in version "12.4+deb12u6",
which is higher than "12.4devuan3" and prevents being installed when you
migrate a Debian bookworm system.

This bugreport is motivated from a question in the #devuan irc channel:

    <Fromzy> Hello, I just updated successfully a Debian12 minimal to
      Devuan5 following the page "Migrate from Debian Bookworm".
      Unfortunately, I still have /etc/os-release or the command
      lsb_release that refers to Debian12 and not Devuan or Devuan5. How
      to modify it ?
    <Fromzy> I already posted this question to the forum of
      https://dev1galaxy.org/

I'm not sure what the best solution here is, either upgrade base-files
to a version "12.4+deb12u6devuan[n]", or add a forced downgrade to the
migration description:

    apt-get install base-files/daedalus

Thanks

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 5 (daedalus)
Release:	5
Codename:	daedalus
Architecture: x86_64

Kernel: Linux 6.10.0 (SMP w/4 CPU threads)
Kernel taint flags: TAINT_FIRMWARE_WORKAROUND, TAINT_OOT_MODULE
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /usr/bin/dash
Init: sysvinit (via /sbin/init)

base-files recommends no packages.

base-files suggests no packages.

-- no debconf information